%global qt5_version 5.15

Summary: Qt5 - Qt Application Manager
Name:    qt5-qtapplicationmanager
Version: 5.15.1
Release: 8%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
Source0: https://github.com/qt/qtapplicationmanager/archive/v5.15.1_QtAS/qtapplicationmanager-v5.15.1_QtAS.tar.gz

Patch0: SIGSTKSZ-is-not-a-constexpr-anymore-in-glibc-2.34.patch 

BuildRequires: qt5-qtbase-devel >= %{qt5_version}
BuildRequires: qt5-qtbase-private-devel >= %{qt5_version}
BuildRequires: qt5-qtbase-static >= %{qt5_version}
BuildRequires: qt5-qtdeclarative-devel >= %{qt5_version}
BuildRequires: qt5-qtwayland-devel >= %{qt5_version}
BuildRequires: wayland-devel
BuildRequires: libarchive-devel
BuildRequires: libyaml-devel

%description
The application manager binary (appman) is a headless daemon by
itself. You need to supply a suitable QML file via the command-line or
via a config file at startup, which then acts as a compositing window
manager using the APIs that are exported from the C++ side. For more
information see
https://doc.qt.io/QtApplicationManager/introduction.html

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel%{?_isa}
%description devel
%{summary}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.

%prep
%setup -q -n qtapplicationmanager-%{version}_QtAS
%patch0 -p1

%build

mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} .. "CONFIG += git_build hardware-id-from-file=/etc/machine-id"

%make_build

%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%ldconfig_scriptlets

%files
%license LICENSE.*
%{_qt5_qmldir}/QtApplicationManager
%{_qt5_bindir}/appman
%{_qt5_bindir}/appman-controller
%{_qt5_bindir}/appman-dumpqmltypes
%{_qt5_bindir}/appman-launcher-qml
%{_qt5_bindir}/appman-packager
%{_qt5_bindir}/appman-qmltestrunner
%{_qt5_bindir}/package-uploader

%files devel
%{_qt5_headerdir}/QtAppMan*
%{_qt5_libdir}/libQt5AppMan*.a
%{_qt5_libdir}/libQt5AppMan*.prl
%exclude %{_qt5_libdir}/libQt5AppMan*.la
%{_qt5_archdatadir}/mkspecs/features/*
%{_qt5_archdatadir}/mkspecs/modules/*
%{_qt5_libdir}/cmake/Qt5AppMan*

%files examples
%{_qt5_examplesdir}/applicationmanager

%changelog
* Fri Dec 10 2021 Stephen Smoogen <smooge@fedoraproject.org> - 5.15.1-8
- Add clearer description from upstream website.

* Mon Nov 08 2021 Pierre-Yves Chibon <pingou@pingoured.fr> - 5.15.1-7
- Compile with --config hardware-id-from-file=/etc/machine-id

* Thu Oct 07 2021 Javier Martinez Canillas <javierm@redhat.com> - 5.15.1-6
- Fix a build on CentOS Stream 9 caused by a change in glibc 2.34+

* Tue Sep 07 2021 Pierre-Yves Chibon <pingou@pingoured.fr> - 5.15.1-5
- rebuilt

* Tue Aug 10 2021 Pierre-Yves Chibon <pingou@pingoured.fr> - 5.15.1-4
- Release bump

* Fri Apr 30 2021 Alexander Larsson <alexl@redhat.com> - 5.15.1-3
- Update the url to avoid conflicts with the filename


* Thu Apr 29 2021 Alexander Larsson <alexl@redhat.com> - 5.15.1-2
- Add qtwayland dep

* Thu Apr 29 2021 Alexander Larsson <alexl@redhat.com> - 5.15.1-1
- Initial version
